Index: c/src/lib/libbsp/powerpc/ep1a/console/mc68360_scc.c
===================================================================
--- c/src/lib/libbsp/powerpc/ep1a/console/mc68360_scc.c	(revision e160e41361105109a12edd6dfe04058ddcefac84)
+++ c/src/lib/libbsp/powerpc/ep1a/console/mc68360_scc.c	(revision 7a4c4f495b2cb427d7fa74cb062315a16aa6f611)
@@ -168,23 +168,13 @@
 
 
-/**************************************************************************
- * Function: sccInterruptHandler                                          *
- **************************************************************************
- * Description:                                                           *
- *                                                                        *
- *    This is the interrupt service routine for the console UART.  It     *
- *    handles both receive and transmit interrupts.  The bulk of the      *
- *    work is done by termios.                                            *
- *                                                                        *
- * Inputs:                                                                *
- *                                                                        *
- *    chip  - structure of chip specific information                      *
- *                                                                        *
- * Output:                                                                *
- *                                                                        *
- *    none                                                                *
- *                                                                        *
- **************************************************************************/
-void mc68360_sccInterruptHandler( M68360_t chip )
+/*
+ * sccInterruptHandler
+ *
+ * This is the interrupt service routine for the console UART.  It
+ * handles both receive and transmit interrupts.  The bulk of the
+ * work is done by termios.
+ *
+ */
+static void mc68360_sccInterruptHandler( M68360_t chip )
 {
   volatile m360_t    *m360;
@@ -281,5 +271,4 @@
 {
   M68360_serial_ports_t  ptr;
-  volatile m360_t       *m360;
   uint32_t               data;
 
@@ -288,12 +277,9 @@
 #endif
 
-
-  ptr   = Console_Port_Tbl[minor]->pDeviceParams;
-  m360  = ptr->chip->m360;
+  ptr = Console_Port_Tbl[minor]->pDeviceParams;
 
   /*
    * Enable the receiver and the transmitter.
    */
-
   SYNC();
   data = scc_read32( "pSCCR->gsmr_l", &ptr->pSCCR->gsmr_l);
@@ -312,5 +298,5 @@
 }
 
-uint32_t mc68360_scc_calculate_pbdat( M68360_t chip )
+static uint32_t mc68360_scc_calculate_pbdat( M68360_t chip )
 {
   uint32_t               i;
@@ -337,6 +323,5 @@
  *  ring buffers and loads the appropriate vectors to handle the interrupts.
  */
-
-void mc68360_scc_initialize_interrupts(int minor)
+static void mc68360_scc_initialize_interrupts(int minor)
 {
   M68360_serial_ports_t  ptr;
@@ -600,6 +585,5 @@
  *  Console Termios output entry point when using interrupt driven output.
  */
-
-ssize_t mc68360_scc_write_support_int(
+static ssize_t mc68360_scc_write_support_int(
   int         minor,
   const char *buf,
@@ -658,6 +642,5 @@
  *  This routine polls out the requested character.
  */
-
-void mc68360_scc_write_polled(
+static void mc68360_scc_write_polled(
   int   minor,
   char  cChar
@@ -675,14 +658,12 @@
  *  port settings.
  */
-
-int mc68360_scc_set_attributes(
+static int mc68360_scc_set_attributes(
   int minor,
   const struct termios *t
 )
 {
-   int                    baud;
-   volatile m360_t        *m360;
-   M68360_serial_ports_t  ptr;
-   uint16_t               value;
+  int                    baud;
+  M68360_serial_ports_t  ptr;
+  uint16_t               value;
 
 #ifdef DEBUG_360
@@ -690,39 +671,36 @@
 #endif
 
-   ptr   = Console_Port_Tbl[minor]->pDeviceParams;
-   m360  = ptr->chip->m360;
-
-   switch (t->c_cflag & CBAUD)
-   {
-      case B50:      baud = 50;      break;
-      case B75:      baud = 75;      break;
-      case B110:     baud = 110;     break;
-      case B134:     baud = 134;     break;
-      case B150:     baud = 150;     break;
-      case B200:     baud = 200;     break;
-      case B300:     baud = 300;     break;
-      case B600:     baud = 600;     break;
-      case B1200:    baud = 1200;    break;
-      case B1800:    baud = 1800;    break;
-      case B2400:    baud = 2400;    break;
-      case B4800:    baud = 4800;    break;
-      case B9600:    baud = 9600;    break;
-      case B19200:   baud = 19200;   break;
-      case B38400:   baud = 38400;   break;
-      case B57600:   baud = 57600;   break;
-      case B115200:  baud = 115200;  break;
-      case B230400:  baud = 230400;  break;
-      case B460800:  baud = 460800;  break;
-      default:       baud = -1;      break;
-   }
-
-   if (baud > 0)
-   {
-      scc_write32(
-        "pBRGC",
-        ptr->pBRGC,
-        mc68360_sccBRGC(baud, ptr->chip->m360_clock_rate)
-      );
-   }
+  ptr = Console_Port_Tbl[minor]->pDeviceParams;
+
+  switch (t->c_cflag & CBAUD) {
+    case B50:      baud = 50;      break;
+    case B75:      baud = 75;      break;
+    case B110:     baud = 110;     break;
+    case B134:     baud = 134;     break;
+    case B150:     baud = 150;     break;
+    case B200:     baud = 200;     break;
+    case B300:     baud = 300;     break;
+    case B600:     baud = 600;     break;
+    case B1200:    baud = 1200;    break;
+    case B1800:    baud = 1800;    break;
+    case B2400:    baud = 2400;    break;
+    case B4800:    baud = 4800;    break;
+    case B9600:    baud = 9600;    break;
+    case B19200:   baud = 19200;   break;
+    case B38400:   baud = 38400;   break;
+    case B57600:   baud = 57600;   break;
+    case B115200:  baud = 115200;  break;
+    case B230400:  baud = 230400;  break;
+    case B460800:  baud = 460800;  break;
+    default:       baud = -1;      break;
+  }
+
+  if (baud > 0) {
+    scc_write32(
+      "pBRGC",
+      ptr->pBRGC,
+      mc68360_sccBRGC(baud, ptr->chip->m360_clock_rate)
+    );
+  }
 
   /* Initial value of PSMR should be 0 */
@@ -730,6 +708,5 @@
 
   /* set the number of data bits, 8 is most common */
-  if (t->c_cflag & CSIZE)                     /* was it specified? */
-  {
+  if (t->c_cflag & CSIZE) {                   /* was it specified? */
     switch (t->c_cflag & CSIZE) {
       case CS5: value |= M360_PSMR_CL5; break;
@@ -751,6 +728,5 @@
    * do nothing in that case
    */
-  if (t->c_cflag & PARENB)                /* enable parity detection? */
-  {
+  if (t->c_cflag & PARENB) {              /* enable parity detection? */
     value |= M360_PSMR_PEN;
     if (t->c_cflag & PARODD){
@@ -775,6 +751,5 @@
  *  This function shuts down the requested port.
  */
-
-int mc68360_scc_close(
+static int mc68360_scc_close(
   int      major,
   int      minor,
@@ -782,5 +757,5 @@
 )
 {
-  return(RTEMS_SUCCESSFUL);
+  return RTEMS_SUCCESSFUL;
 }
 
@@ -790,10 +765,9 @@
  *  Console Termios polling input entry point.
  */
-
-int mc68360_scc_inbyte_nonblocking_polled(
+static int mc68360_scc_inbyte_nonblocking_polled(
   int minor
 )
 {
-    return -1;
+  return -1;
 }
 
@@ -804,6 +778,5 @@
  *
  */
-
-ssize_t mc68360_scc_write_support_polled(
+static ssize_t mc68360_scc_write_support_polled(
   int         minor,
   const char *buf,
@@ -821,6 +794,5 @@
  *  This function initializes the DUART to a quiecsent state.
  */
-
-void mc68360_scc_init(int minor)
+static void mc68360_scc_init(int minor)
 {
 #ifdef DEBUG_360
@@ -900,5 +872,5 @@
     chip->board_data->slotNo,
     chip->board_data->funcNo,
-    &mc68360_sccInterruptHandler,
+    (FUNCTION_PTR) &mc68360_sccInterruptHandler,
     (uintptr_t) chip
   );
Index: c/src/lib/libbsp/powerpc/ep1a/console/printk_support.c
===================================================================
--- c/src/lib/libbsp/powerpc/ep1a/console/printk_support.c	(revision e160e41361105109a12edd6dfe04058ddcefac84)
+++ c/src/lib/libbsp/powerpc/ep1a/console/printk_support.c	(revision 7a4c4f495b2cb427d7fa74cb062315a16aa6f611)
@@ -1,6 +1,8 @@
 /*
- *  This file contains the ep1a printk support routines
- *
- *  COPYRIGHT (c) 2011.
+ *  This file contains the ep1a printk support routines.
+ */
+
+/*
+ *  COPYRIGHT (c) 2011-2014.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -20,6 +22,5 @@
 
 /* const char arg to be compatible with BSP_output_char decl. */
-void
-debug_putc_onlcr(const char c)
+static void debug_putc_onlcr(const char c)
 {
   volatile int i;
@@ -31,5 +32,4 @@
    *        regardless of where the console is.
    */
-
   volatile unsigned char *ptr = (void *)0xff800000;
 
Index: c/src/lib/libbsp/powerpc/ep1a/irq/irq_init.c
===================================================================
--- c/src/lib/libbsp/powerpc/ep1a/irq/irq_init.c	(revision e160e41361105109a12edd6dfe04058ddcefac84)
+++ c/src/lib/libbsp/powerpc/ep1a/irq/irq_init.c	(revision 7a4c4f495b2cb427d7fa74cb062315a16aa6f611)
@@ -2,5 +2,7 @@
  *  This file contains the implementation of rtems initialization
  *  related to interrupt handling.
- *
+ */
+
+/*
  *  CopyRight (C) 1999 valette@crf.canon.fr
  *
@@ -35,23 +37,40 @@
 #define TRACE_IRQ_INIT
 
-/*
- * default on/off function
- */
-static void nop_func(void){}
-/*
- * default isOn function
- */
-static int not_connected(void) {return 0;}
-/*
- * default possible isOn function
- */
-static int connected(void) {return 1;}
+static void IRQ_Default_rtems_irq_hdl(
+  rtems_irq_hdl_param ptr
+)
+{
+}
+
+static void IRQ_Default_rtems_irq_enable(
+  const struct __rtems_irq_connect_data__ *ptr
+)
+{
+}
+
+static void IRQ_Default_rtems_irq_disable(
+  const struct __rtems_irq_connect_data__ *ptr
+)
+{
+}
+
+static int  IRQ_Default_rtems_irq_is_enabled(
+  const struct __rtems_irq_connect_data__ *ptr)
+{
+  return 1;
+}
 
 static rtems_irq_connect_data     	rtemsIrq[BSP_IRQ_NUMBER];
 static rtems_irq_global_settings     	initial_config;
-static rtems_irq_connect_data     	defaultIrq = {
-  /* vectorIdex,	 hdl		, handle	, on		, off		, isOn */
-  0, 			 nop_func	, NULL		, nop_func	, nop_func	, not_connected
-};
+
+static rtems_irq_connect_data defaultIrq = {
+  .name   = 0,
+  .hdl    = IRQ_Default_rtems_irq_hdl,
+  .handle = NULL,
+  .on     = IRQ_Default_rtems_irq_enable,
+  .on     = IRQ_Default_rtems_irq_disable,
+  .isOn   = IRQ_Default_rtems_irq_is_enabled
+};
+
 static rtems_irq_prio irqPrioTable[BSP_IRQ_NUMBER]={
   /*
Index: c/src/lib/libbsp/powerpc/ep1a/irq/openpic_xxx_irq.c
===================================================================
--- c/src/lib/libbsp/powerpc/ep1a/irq/openpic_xxx_irq.c	(revision e160e41361105109a12edd6dfe04058ddcefac84)
+++ c/src/lib/libbsp/powerpc/ep1a/irq/openpic_xxx_irq.c	(revision 7a4c4f495b2cb427d7fa74cb062315a16aa6f611)
@@ -68,32 +68,4 @@
  * ------------------------ RTEMS Irq helper functions ----------------
  */
-
-#ifdef BSP_PCI_ISA_BRIDGE_IRQ
-/*
- * Caution : this function assumes the variable "*config"
- * is already set and that the tables it contains are still valid
- * and accessible.
- */
-static void compute_i8259_masks_from_prio (rtems_irq_global_settings* config)
-{
-  int i;
-  int j;
-  /*
-   * Always mask at least current interrupt to prevent re-entrance
-   */
-  for (i=BSP_ISA_IRQ_LOWEST_OFFSET; i < BSP_ISA_IRQ_LOWEST_OFFSET + BSP_ISA_IRQ_NUMBER; i++) {
-    * ((unsigned short*) &irq_mask_or_tbl[i]) = (1 << i);
-    for (j = BSP_ISA_IRQ_LOWEST_OFFSET; j < BSP_ISA_IRQ_LOWEST_OFFSET + BSP_ISA_IRQ_NUMBER; j++) {
-      /*
-       * Mask interrupts at i8259 level that have a lower priority
-       */
-      if (config->irqPrioTbl [i] > config->irqPrioTbl [j]) {
-	* ((unsigned short*) &irq_mask_or_tbl[i]) |= (1 << j);
-      }
-    }
-  }
-}
-#endif
-
 void
 BSP_enable_irq_at_pic(const rtems_irq_number name)
Index: c/src/lib/libbsp/powerpc/ep1a/pci/no_host_bridge.c
===================================================================
--- c/src/lib/libbsp/powerpc/ep1a/pci/no_host_bridge.c	(revision e160e41361105109a12edd6dfe04058ddcefac84)
+++ c/src/lib/libbsp/powerpc/ep1a/pci/no_host_bridge.c	(revision 7a4c4f495b2cb427d7fa74cb062315a16aa6f611)
@@ -23,5 +23,4 @@
  * Open PIC device is built into the processor chip.
  */
-
 void detect_host_bridge(void)
 {
Index: c/src/lib/libbsp/powerpc/ep1a/vme/VMEConfig.h
===================================================================
--- c/src/lib/libbsp/powerpc/ep1a/vme/VMEConfig.h	(revision e160e41361105109a12edd6dfe04058ddcefac84)
+++ c/src/lib/libbsp/powerpc/ep1a/vme/VMEConfig.h	(revision 7a4c4f495b2cb427d7fa74cb062315a16aa6f611)
@@ -103,11 +103,11 @@
 extern int _BSP_vme_bridge_irq;
 
-extern int BSP_VMEInit();
-extern int BSP_VMEIrqMgrInstall();
+extern int BSP_VMEInit(void);
+extern int BSP_VMEIrqMgrInstall(void);
 
-#define BSP_VME_UNIVERSE_INSTALL_IRQ_MGR(err)					\
-	do {														\
-  		err = vmeUniverseInstallIrqMgr(0,5,1,6);				\
-	} while (0)
+#define BSP_VME_UNIVERSE_INSTALL_IRQ_MGR(err) \
+  do { \
+    err = vmeUniverseInstallIrqMgr(0,5,1,6); \
+  } while (0)
 
 #endif
